Summary: Configuration files for package managers.
Name: scrpms-repo
Version: 22
Release: 4%{?dist}
License: GPLv3
Group: System Environment/Base
URL: http://scrpms.net/
Source0: RPM-GPG-KEY-scrpms
Source1: scrpms.repo.in
Source10: f.sed
Source11: el.sed
Source12: RHL.sed
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: fedora-package-config, redhat-package-config
Provides: fedora-package-config, redhat-package-config
Obsoletes: yum-config
Provides: yum-config
Obsoletes: scrpms-package-config
Provides: scrpms-package-config
%define debug_package %{nil}
BuildRequires: atrpms-rpm-config

%description
This package contains configuration files for yum.

%prep
%setup -q -T -c

%build
cp -a %{SOURCE10} %{SOURCE11} ${SOURCE12}  .
cat %distinitials.sed > temp.sed
cat >> temp.sed <<EOF
s,@DISTARCH@,%{dist}-%{_target_cpu},g
s,@DISTINITIALS@,%{distinitials},g
s,@DIST@,$dist,g
s,@DISTVERSION@,%{dist},g
s,@ARCH@,%{_target_cpu},g
EOF

for s in %{SOURCE1} \
         ; do
  f=`echo $s | sed -e's,.*/\([^/]*\)\.in$,\1,'`
  sed -f temp.sed < $s > $f
  touch -r $s $f
done

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg

mkdir -p %{buildroot}%{_sysconfdir}/yum.repos.d
install -p *.repo %{buildroot}%{_sysconfdir}/yum.repos.d

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki
%{_sysconfdir}/yum.repos.d

%changelog
* Tue Jul 21 2015 Stephen Collier <stephenbcollier@gmail.com> - ver 22.3
- Update for fedora upgrades

* Mon Nov 03 2014 Stephen Collier <stephenbcollier@gmail.com> - ver 22.2
- typo mirror list

* Mon Nov 03 2014 Stephen Collier <stephenbcollier@gmail.com> - ver 22.1
- bumped version to 22 to replace all previous versions based on releasever
- added mirrorlist
- removed post atrpms

* Tue Jul 15 2014 Stephen Collier <stephenbcollier@gmail.com>
- Modified for scrpms

* Tue Dec 31 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - %{distversion}-7
- Update signing key.

* Sat Dec 31 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - %{distversion}-5
- Update signing key.

* Sat Jan  2 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update signing key.

* Sun Jan 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rename atrpms-package-config to atrpms-repo.
